Restorable Dropped Databases - Get

取得可還原的已卸除資料庫。

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/restorableDroppedDatabases/{restorableDroppedDatabaseId}?api-version=2025-01-01
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/restorableDroppedDatabases/{restorableDroppedDatabaseId}?api-version=2025-01-01&$expand={$expand}&$filter={$filter}

URI 參數

名稱 位於 必要 類型 Description
resourceGroupName
path True

string

minLength: 1
maxLength: 90

資源群組的名稱。 名稱不區分大小寫。

restorableDroppedDatabaseId
path True

string

serverName
path True

string

伺服器的名稱。

subscriptionId
path True

string (uuid)

目標訂用帳戶的標識碼。 此值必須是 UUID。

api-version
query True

string

minLength: 1

用於此作業的 API 版本。

$expand
query

string

要包含在回應中的子資源。

$filter
query

string

篩選集合中元素的 OData 篩選表示式。

回應

名稱 類型 Description
200 OK

RestorableDroppedDatabase

Azure 運作順利完成。

Other Status Codes

ErrorResponse

未預期的錯誤回應。

安全性

azure_auth

Azure Active Directory OAuth2 Flow。

類型: oauth2
Flow: implicit
授權 URL: https://login.microsoftonline.com/common/oauth2/authorize

範圍

名稱 Description
user_impersonation 模擬您的用戶帳戶

範例

Gets a restorable dropped database with expand equals keys.
Gets a restorable dropped database.

Gets a restorable dropped database with expand equals keys.

範例要求

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/restorableDroppedDatabases/testdb,131403269876900000?api-version=2025-01-01&$expand=keys

範例回覆

{
  "name": "testdb,131403269876900000",
  "type": "Microsoft.Sql/servers/restorableDroppedDatabases",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/restorableDroppedDatabases/testdb",
  "location": "southeastasia",
  "properties": {
    "backupStorageRedundancy": "Geo",
    "creationDate": "2017-05-07T04:41:33.937Z",
    "databaseName": "testdb",
    "deletionDate": "2017-05-27T02:49:47.69Z",
    "keys": {
      "https://your-key-vault-name.vault.azure.net/yourKey/yourKeyVersion": {},
      "https://your-key-vault-name.vault.azure.net/yourKey2/yourKey2Version": {}
    },
    "maxSizeBytes": 268435456000
  },
  "sku": {
    "name": "BC_Gen4_2",
    "tier": "BusinessCritical"
  }
}

Gets a restorable dropped database.

範例要求

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/restorableDroppedDatabases/testdb,131403269876900000?api-version=2025-01-01

範例回覆

{
  "name": "testdb,131403269876900000",
  "type": "Microsoft.Sql/servers/restorableDroppedDatabases",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/restorableDroppedDatabases/testdb",
  "location": "southeastasia",
  "properties": {
    "backupStorageRedundancy": "Geo",
    "creationDate": "2017-05-07T04:41:33.937Z",
    "databaseName": "testdb",
    "deletionDate": "2017-05-27T02:49:47.69Z",
    "maxSizeBytes": 268435456000
  },
  "sku": {
    "name": "BC_Gen4_2",
    "tier": "BusinessCritical"
  }
}

定義

名稱 Description
BackupStorageRedundancy

用來儲存此資料庫的備份的記憶體帳戶類型。

createdByType

建立資源的身分識別類型。

DatabaseKey

用於待用加密的資料庫層級金鑰。

DatabaseKeyType

資料庫金鑰類型。 只有支援的值為 『AzureKeyVault』。

ErrorAdditionalInfo

資源管理錯誤附加資訊。

ErrorDetail

錯誤詳細資料。

ErrorResponse

錯誤回應

RestorableDroppedDatabase

可還原的已卸除資料庫資源。

Sku

ARM 資源 SKU。

systemData

與建立和上次修改資源相關的元數據。

BackupStorageRedundancy

用來儲存此資料庫的備份的記憶體帳戶類型。

值 Description
Geo

地理位置

Local

本地

Zone

區域

GeoZone

地理區域

createdByType

建立資源的身分識別類型。

值 Description
User
Application
ManagedIdentity
Key

DatabaseKey

用於待用加密的資料庫層級金鑰。

名稱 類型 Description
creationDate

string (date-time)

資料庫金鑰建立日期。

keyVersion

string

資料庫金鑰的版本。

subregion

string

伺服器索引鍵的子區域。

thumbprint

string

資料庫金鑰的指紋。

type

DatabaseKeyType

資料庫金鑰類型。 只有支援的值為 『AzureKeyVault』。

DatabaseKeyType

資料庫金鑰類型。 只有支援的值為 『AzureKeyVault』。

值 Description
AzureKeyVault

AzureKeyVault

ErrorAdditionalInfo

資源管理錯誤附加資訊。

名稱 類型 Description
info

object

附加資訊。

type

string

其他資訊類型。

ErrorDetail

錯誤詳細資料。

名稱 類型 Description
additionalInfo

ErrorAdditionalInfo[]

錯誤附加資訊。

code

string

錯誤碼。

details

ErrorDetail[]

錯誤詳情

message

string

錯誤訊息。

target

string

錯誤目標。

ErrorResponse

錯誤回應

名稱 類型 Description
error

ErrorDetail

錯誤物件。

RestorableDroppedDatabase

可還原的已卸除資料庫資源。

名稱 類型 Description
id

string (arm-id)

資源的完整資源標識碼。 例如,“/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}”

location

string

資源位置。

name

string

資源的名稱

properties.backupStorageRedundancy

BackupStorageRedundancy

用來儲存此資料庫的備份的記憶體帳戶類型。

properties.creationDate

string (date-time)

資料庫的建立日期(ISO8601格式)。

properties.databaseName

string

資料庫的名稱。

properties.deletionDate

string (date-time)

資料庫的刪除日期(ISO8601格式)。

properties.earliestRestoreDate

string (date-time)

資料庫最早的還原日期(ISO8601格式)。

properties.keys

<string,  DatabaseKey>

要使用的使用者指派身分識別的資源標識碼

properties.maxSizeBytes

integer (int64)

以位元組表示的資料庫大小上限。

sku

Sku

SKU 的名稱和層。

systemData

systemData

Azure Resource Manager 包含 createdBy 與 modifiedBy 資訊的元資料。

tags

object

資源標籤。

type

string

資源的類型。 例如:「Microsoft。運算/虛擬機器」或「Microsoft」。儲存/儲存帳號」

Sku

ARM 資源 SKU。

名稱 類型 Description
capacity

integer (int32)

特定 SKU 的容量。

family

string

如果服務有不同世代的硬體,針對相同的 SKU,則可以在這裡擷取。

name

string

SKU 的名稱,通常是字母 + 數位碼,例如 P3。

size

string

特定 SKU 的大小

tier

string

特定 SKU 的階層或版本,例如基本、進階。

systemData

與建立和上次修改資源相關的元數據。

名稱 類型 Description
createdAt

string (date-time)

資源建立的時間戳(UTC)。

createdBy

string

建立資源的身分識別。

createdByType

createdByType

建立資源的身分識別類型。

lastModifiedAt

string (date-time)

資源上次修改的時間戳記 (UTC)

lastModifiedBy

string

上次修改資源的身分識別。

lastModifiedByType

createdByType

上次修改資源的身分識別類型。